snapper (0.10.6-1.2build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Aug 2025 08:29:00 +0200

snapper (0.10.6-1.2build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:19:19 +0200

snapper (0.10.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Install systemd units into /usr. (Closes: #1073699)

 -- Michael Biebl <biebl@debian.org>  Tue, 10 Sep 2024 08:48:47 +0200

snapper (0.10.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062906

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 16:55:43 +0000

snapper (0.10.6-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - Refresh patches

 -- Hideki Yamane <henrich@debian.org>  Tue, 19 Sep 2023 21:56:59 +0900

snapper (0.10.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Hideki Yamane <henrich@debian.org>  Tue, 04 Jul 2023 23:40:23 +0900

snapper (0.10.5-1) experimental; urgency=medium

  * New upstream release
  * debian/patches
    - Refresh patches
  * debian/{control,libsnapper7.install}
    - SONAME bump, ship libsnapper7 as well
  * debian/snapper.install
    - Add /usr/share/zsh/site-functions/_snapper

 -- Hideki Yamane <henrich@debian.org>  Tue, 04 Jul 2023 21:49:36 +0900

snapper (0.10.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - Set Standards-Version: 4.6.2
  * debian/upstream/metadata
    - Set upstream metadata fields: Bug-Database.

 -- Hideki Yamane <henrich@debian.org>  Sat, 17 Dec 2022 22:06:19 +0900

snapper (0.10.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - Set Standards-Version: 4.6.1
  * debian/watch
    - Use GitHub /tags rather than /releases page.
  * Drop unnecessary lintian-overrides

 -- Hideki Yamane <henrich@debian.org>  Sun, 02 Oct 2022 15:02:55 +0900

snapper (0.10.2-1) unstable; urgency=medium

   * New upstream release
     - Built fine with updated libbtrfs-dev 5.18.1 (Closes: #1012055)
   * debian/control
     - Set Standards-Version: 4.6.1 with no changes
  * Drop libsnapper5 and introduce libsnapper6
  * Drop debian/bash-completion/snapper: merged upstream

 -- Hideki Yamane <henrich@debian.org>  Fri, 10 Jun 2022 11:10:51 +0900

snapper (0.9.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - Set Standards-Version: 4.6.0
  * debian/patches
    - Refresh patches
  * debian/rules
    - Move pam-snapper.so from /lib/$(DEB_HOST_MULTIARCH) to
      /usr/lib/$(DEB_HOST_MULTIARCH)

 -- Hideki Yamane <henrich@debian.org>  Sat, 12 Mar 2022 13:13:18 +0900

snapper (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * debian/watch
    - update to new pattern format for github
  * debian/control
    - Set Standards-Version: 4.5.1
  * debian/patches
    - Delete: 0006-Run-check-for-JSONC-whether-with_zypp-is-enable-or-n.patch
    - Refresh it
  * debian/rules
    - Drop unnecessary override_dh_missing

 -- Hideki Yamane <henrich@debian.org>  Sun, 15 Aug 2021 13:44:28 +0900

snapper (0.8.15-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - Add libncurses-dev to provide term.h
    - Add libjson-c-dev for Build-Depends
  * debian/patches
    - Refresh patches
    - Add 0006-Run-check-for-JSONC-whether-with_zypp-is-enable-or-n.patch

 -- Hideki Yamane <henrich@debian.org>  Sun, 27 Dec 2020 20:38:53 +0900

snapper (0.8.14-1) unstable; urgency=medium

  * Trim trailing whitespace.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Hideki Yamane <henrich@debian.org>  Sat, 26 Sep 2020 12:41:02 +0900

snapper (0.8.13-1) unstable; urgency=medium

  * New upstream release

 -- Hideki Yamane <henrich@debian.org>  Fri, 04 Sep 2020 22:35:30 +0900

snapper (0.8.12-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - Drop 0002-Bug-852574-Update-udevadm-path-to-bin-udevadm.patch:
      now udevadm is /usr/bin/udevadm, so it's unnecessary

 -- Hideki Yamane <henrich@debian.org>  Sun, 26 Jul 2020 16:51:30 +0900

snapper (0.8.11-1) unstable; urgency=medium

  * New upstream release
  * debian/{snapper.{install,manpages},libpam-snapper.manpages}
    - Split manpages to each package
  * debian/control
    - Adjust dependency with above change

 -- Hideki Yamane <henrich@debian.org>  Sat, 18 Jul 2020 23:13:36 +0900

snapper (0.8.10-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - Set debhelper-compat (= 13)

 -- Hideki Yamane <henrich@debian.org>  Thu, 25 Jun 2020 06:29:03 +0900

snapper (0.8.9-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - drop 0001-refresh-Add-DSO-linker-options-for-libsnapper.la.pat.patch
  * debian/salsa-ci.yml
    - set "reprotest: allow_failure: true"

 -- Hideki Yamane <henrich@debian.org>  Tue, 25 Feb 2020 01:26:47 +0900

snapper (0.8.7-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - set Standards-Version: 4.5.0
    - bump up to libsnapper5
  * debian/watch
    - update url, use github instead of ftp.suse.com
  * debian/patches
    - refresh patches

 -- Hideki Yamane <henrich@debian.org>  Tue, 25 Feb 2020 00:43:47 +0900

snapper (0.8.6-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - add 0005-drop-testsuite-real-to-avoid-to-be-installed-into-pa.patch

 -- Hideki Yamane <henrich@debian.org>  Tue, 10 Dec 2019 22:48:01 +0900

snapper (0.8.5-1) unstable; urgency=medium

  * New upstream release
  * add debian/salsa-ci.yml
  * debian/control
    - set Standards-Version: 4.4.1 with no change
    - drop Build-Depends: debhelper, just debhelper-compat is enough

 -- Hideki Yamane <henrich@debian.org>  Sat, 19 Oct 2019 22:12:38 +0900

snapper (0.8.3-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update copyright year
  * debian/{rules,libpam-snapper.install}
    - move installation from rules to .install

 -- Hideki Yamane <henrich@debian.org>  Sun, 31 Mar 2019 17:53:20 +0900

snapper (0.8.2-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update copyright year
  * debian/control,compat
    - use debhelper-compat and drop debian/compat

 -- Hideki Yamane <henrich@debian.org>  Mon, 28 Jan 2019 21:09:02 +0900

snapper (0.8.1-3) unstable; urgency=medium

  * debian/80snapper
    - ignore error on first run
  * debian/control
    - set Standards-Version: 4.3.0
    - declare Rules-Requires-Root: no

 -- Hideki Yamane <henrich@debian.org>  Mon, 07 Jan 2019 02:07:24 +0900

snapper (0.8.1-2) unstable; urgency=medium

  * debian/patches
    - add 0004-fix-manpage.patch

 -- Hideki Yamane <henrich@debian.org>  Sun, 06 Jan 2019 15:06:34 +0900

snapper (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * Add debian/upstream/metadata

 -- Hideki Yamane <henrich@debian.org>  Mon, 26 Nov 2018 12:50:03 +0900

snapper (0.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Hideki Yamane <henrich@debian.org>  Mon, 05 Nov 2018 22:26:49 +0900

snapper (0.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Hideki Yamane <henrich@debian.org>  Sun, 28 Oct 2018 11:55:32 +0900

snapper (0.7.1-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - refresh patches

 -- Hideki Yamane <henrich@debian.org>  Fri, 19 Oct 2018 23:36:31 +0900

snapper (0.6.0-1) unstable; urgency=medium

  * New upstream release

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Hideki Yamane ]
  * debian/patches
    - refresh patch
    - drop 0004-add-boost-libs-to-dbus.patch, merged upstream
  * add debian/gbp.conf

 -- Hideki Yamane <henrich@debian.org>  Tue, 09 Oct 2018 02:34:10 +0900

snapper (0.5.6-3) unstable; urgency=medium

  [ Andreas Hasenack ]
  * debian/patches
    - 0004-add-boost-libs-to-dbus.patch: add boost libs to dbus to fix
      the armhf build.

 -- Hideki Yamane <henrich@debian.org>  Mon, 10 Sep 2018 02:06:40 +0900

snapper (0.5.6-2) unstable; urgency=medium

  * debian/patches
    - Add missing -lpthread option to fix FTBFS in Ubuntu.
      Thanks to Andreas Hasenack for the report
  * debian/control
    - set Standards-Version: 4.2.1 (no change)

 -- Hideki Yamane <henrich@debian.org>  Sun, 02 Sep 2018 11:47:13 +0900

snapper (0.5.6-1) unstable; urgency=medium

  * New upstream release 0.5.6

  * debian/control
    - Set Standards-Version: 4.2.0 (no change)
  * debian/copyright
    - Update copyright year
  * debian/.gitlab-ci.yml
    - Add .gitlab-ci.yml to run Continuous Build

 -- Hideki Yamane <henrich@debian.org>  Mon, 13 Aug 2018 16:39:35 +0900

snapper (0.5.4-4) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Update build-dependency on the new libbtrfs-dev (Closes: #898877)

 -- Hideki Yamane <henrich@debian.org>  Thu, 17 May 2018 11:34:49 +0900

snapper (0.5.4-3) unstable; urgency=medium

  * debian/rules
    - Fix FTCBFS (Closes: #894966)
      Thanks to Helmut Grohne <helmut@subdivi.de> for the patch
  * debian/patches
    - Properly add 0003-Add-debian-specific-option-DISABLE_APT_SNAPSHOT.patch
      for Bug#880144
  * Revert changes in 0.5.4-2 except debian/rules

 -- Hideki Yamane <henrich@debian.org>  Fri, 06 Apr 2018 12:16:19 +0900

snapper (0.5.4-2) unstable; urgency=medium

  * debian/80snapper
    - Add option to disable apt snapshotting (Closes: #880144)
      Thanks to James Valleroy <jvalleroy@mailbox.org> for the patch
  * debian/default
    - Add it as /etc/default/snapper
  * debian/control
    - Add Build-Depends: dh-exec
  * debian/snapper.install
    - Use dh-exec and add debian/default
  * debian/rules
    - Use dh_missing instead of dh_install --fail-missing

 -- Hideki Yamane <henrich@debian.org>  Thu, 05 Apr 2018 21:58:58 +0900

snapper (0.5.4-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - drop 0003-fix-888535-set-sysconfig-dir-in-manpage-correctly.patch:
      merged upstream

 -- Hideki Yamane <henrich@debian.org>  Thu, 01 Feb 2018 22:11:03 +0900

snapper (0.5.0-4) unstable; urgency=medium

  * debian/patches
    - add 0003-fix-888535-set-sysconfig-dir-in-manpage-correctly.patch
      Thanks to Daniel Mulholland <dan.mulholland@gmail.com> for the report
      (Closes: #888535)

 -- Hideki Yamane <henrich@debian.org>  Sun, 28 Jan 2018 02:00:55 +0900

snapper (0.5.0-3) unstable; urgency=medium

  * debian/control
    - drop dh-autoreconf with dh10
    - set Build-Depends: debhelper (>= 11)
    - set Standards-Version: 4.1.3
    - libsnapper4: set "Multi-Arch: same"
    - move Vcs-* to salsa.debian.org
  * debian/compat
    - set 11
  * debian/rules
    - add "--disable-ext4" option to explicitly disable experimental
      ext4 support (Closes: #887292)

 -- Hideki Yamane <henrich@debian.org>  Fri, 26 Jan 2018 23:11:15 +0900

snapper (0.5.0-2) unstable; urgency=medium

  * debian/control
    - set Standards-Version: 4.0.0
    - s/btrfs-tools/btrfs-progs/ since -tools is transitional dummy package
  * debian/rules
    - drop unnecessary autoreconf option with dh10
  * debian/watch
    - update to version 4

 -- Hideki Yamane <henrich@debian.org>  Wed, 19 Jul 2017 19:59:39 +0900

snapper (0.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Hideki Yamane <henrich@debian.org>  Sat, 13 May 2017 12:07:32 +0900

snapper (0.4.1-3) unstable; urgency=medium

  * debian/control
    - add missing dependency for libsnapper-dev (Closes: #856945)
      Thanks to Andreas Beckmann <anbe@debian.org>

 -- Hideki Yamane <henrich@debian.org>  Tue, 07 Mar 2017 23:32:58 +0900

snapper (0.4.1-2) unstable; urgency=medium

  * debian/patches
    - add 0002-Bug-852574-Update-udevadm-path-to-bin-udevadm.patch
      Thanks to Michael Biebl <biebl@debian.org> (Closes: #852574)

 -- Hideki Yamane <henrich@debian.org>  Sun, 19 Feb 2017 23:38:08 +0900

snapper (0.4.1-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - drop 0002-fix-typo.patch: merged upstream
  * rename debian/libsnapper3.install to debian/libsnapper4.install
  * debian/control
    - s/libsnapper3/libsnapper4/

 -- Hideki Yamane <henrich@debian.org>  Thu, 22 Dec 2016 20:14:18 +0900

snapper (0.3.3-4) unstable; urgency=medium

  * polish debian/80snapper

 -- Hideki Yamane <henrich@debian.org>  Fri, 04 Nov 2016 07:00:27 +0900

snapper (0.3.3-3) unstable; urgency=medium

  * fix regression for debian/80snapper

 -- Hideki Yamane <henrich@debian.org>  Fri, 07 Oct 2016 15:36:44 +0900

snapper (0.3.3-2) unstable; urgency=medium

  * debian/control
    - add Enhances: btrfs-tools
  * debian/80snapper
    - more check to run snapper
    - add cleanup algorism

 -- Hideki Yamane <henrich@debian.org>  Sat, 01 Oct 2016 21:18:16 +0900

snapper (0.3.3-1) unstable; urgency=medium

  * debian/control
    - set New maintainer
    - set debhelper (>= 10)
  * debian/snapper.{preinst,postinst,postrm}
    - set error check
  * debian/rules
    - make the build reproducible (Closes: #818027)
      Thanks to Sascha Steinbiss <satta@debian.org> for the patch.
  * debian/libsnapper-dev.examples
    - avoid to install .gitignore files
  * debian/patches
    - add 0002-fix-typo.patch
  * debian/copyright
    - remove unused ltmain.sh and gpl-2+ with libtool exception lines

 -- Hideki Yamane <henrich@debian.org>  Mon, 12 Sep 2016 21:35:10 +0900

snapper (0.3.3-0.4) experimental; urgency=medium

  * Non-maintainer upload.
  * debian/80snapper
    - avoid breaking apt behavior
  * update debian/bash-completion/snapper

 -- Hideki Yamane <henrich@debian.org>  Fri, 09 Sep 2016 23:06:26 +0900

snapper (0.3.3-0.3) experimental; urgency=medium

  * Non-maintainer upload.
  * debian/80snapper
    - add apt hook snapshot (Closes: #770938)
      it's just hacky test implementation, so comments are welcome.
  * add debian/bash-completion/snapper

 -- Hideki Yamane <henrich@debian.org>  Sat, 03 Sep 2016 14:43:18 +0900

snapper (0.3.3-0.2) experimental; urgency=medium

  * Non-maintainer upload
  * fix to load systemd timer
  * debian/compat
    - set 10 to enable systemd service by default
  * debian/control
    - use Build-Depends: debhelper (>= 9.20160709) to use dh-systemd function

 -- Hideki Yamane <henrich@debian.org>  Sat, 13 Aug 2016 17:03:53 +0900

snapper (0.3.3-0.1) experimental; urgency=medium

  * Non-maintainer upload
  * New upstream release
  * debian/control
    - add Build-Depends: libboost-test-dev
    - add Build-Depends: e2fslibs-dev
    - add Build-Depends: locales-all to deal with "FAIL: cmp-lt.test"
    - change from libsnapper2 to 3
    - use https for Vcs-*
    - set Standards-Version: 3.9.8
  * debian/patches
    - drop 0001-Link-boost-libraries-without-the-mt-suffix.patch: merged
    - refresh 0002-Add-DSO-linker-options-for-libsnapper.la.patch
  * debian/snapper.install
    - install systemd related files and {installation,systemd}-helper
      It also changes from cron to systemd timer job (Closes: #791726)
  * debian/rules
    - remove cron settings
    - enable hardening
  * debian/snapper.{preinst,postinst,postrm}
    - remove cron files

 -- Hideki Yamane <henrich@debian.org>  Mon, 08 Aug 2016 06:42:22 +0900

snapper (0.2.4-1) unstable; urgency=low

  * New upstream release (Closes: #763262)
    - Update copyright info
    - Add build-dependencies on libacl1-dev and libmount-dev
    - Refresh patches
  * Update Standards-Version to 3.9.6 (no changes)

 -- Nicolas Dandrimont <olasd@debian.org>  Mon, 13 Oct 2014 23:14:31 +0200

snapper (0.1.8-2) unstable; urgency=medium

  * Move PAM config to /usr/share/pam-configs/snapper for consistency with
  other pam module-providing packages (Closes: #734784)

 -- Nicolas Dandrimont <olasd@debian.org>  Thu, 09 Jan 2014 21:41:31 +0100

snapper (0.1.8-1) unstable; urgency=low

  * Initial release. (Closes: #715404)

 -- Nicolas Dandrimont <olasd@debian.org>  Sat, 07 Dec 2013 21:45:39 +0100
